import request from '@/utils/request'

// 促销商品
export function groom4(data) {
	return request({
		url: '/api/groom/list/4',
		method: 'get',
		data
	});
}
// 精品推荐
export function groom1(data) {
	return request({
		url: '/api/groom/list/1',
		method: 'get',
		data
	});
}
// 新品首发
export function groom3(data) {
	return request({
		url: '/api/groom/list/3',
		method: 'get',
		data
	});
}

// 获取首页信息
export function loadIndexs(data) {
	return request({
		url: '/api/index',
		method: 'get',
		data
	});
}

//获取活动列表
export function getActionList(data) {
	return request({
		url: '/api/partake/out',
		method: 'get',
		data
	});
}

//获取活动详情
export function getActionDetail(data,id) {
	return request({
		url: '/api/partake/out/' + id,
		method: 'get',
		data
	});
}

// 参加活动
export function addAction(data) {
	return request({
		url: '/api/partake/participate_in',
		method: 'post',
		data
	});
}

export function getAddList(data) {
	return request({
		url: '/api/partake/partake',
		method: 'get',
		data
	});
}

//
export function getStoreList(data) {
	return request({
		url: '/api/store_list',
		method: 'get',
		data
	})
}